Imports System.Text
Imports System.Threading.Tasks
Imports System.Xml.Serialization
Imports System.IO

Namespace VB_FileSystemWatcher
	''' <summary>
	''' This class defines an individual type of file and its associated folder to be monitored by the File System Watcher
	''' </summary>
	Public Class CustomFolderSettings
		''' <summary>Unique identifier of this combination File type and folder. Arbitrary number (for instance 001, 002, and so on)</summary>
		<XmlAttribute>
		Public Property FolderID As String

		''' <summary>if TRUE: the file type and folder will be monitored</summary>
		<XmlElement>
		Public Property FolderEnabled As Boolean

		''' <summary>Description of the type of files and folder location - Just for documentation purpose</summary>
		<XmlElement>
		Public Property FolderDescription As String

		''' <summary>Filter to select the type of files to be monitored. (Examples: *.shp, *.*, Project00*.zip)</summary>
		<XmlElement>
		Public Property FolderFilter As String

		''' <summary>Full path to be monitored (i.e.: D:\files\projects\shapes\ )</summary>
		<XmlElement>
		Public Property FolderPath As String

		''' <summary>if TRUE: the folder and its subfolders will be monitored</summary>
		<XmlElement>
		Public Property FolderIncludeSub As Boolean

		''' <summary>Specifies the command or sentence to be executed after a new file has been created</summary>
		<XmlElement>
		Public Property ExecutableFile As String

		''' <summary>List of arguments to be passed to the executable file</summary>
		<XmlElement>
		Public Property ExecutableArguments As String

		''' <summary>Default constructor of the class</summary>        
		Public Sub New()
		End Sub
	End Class
End Namespace
