Imports System.ComponentModel
Imports System.Configuration.Install
Imports System.ServiceProcess

Namespace VB_FileSystemWatcher
    ''' <summary>
    ''' This class is intended to install the Service into the Windows Services pool by using the command installutil
    ''' </summary>
    <RunInstaller(True)>
    Public Class ProjectInstaller
        Inherits Installer

#Region "Private members"
        ''' <summary>
        ''' Defines the name of the Windows Service
        ''' </summary>
        Private Const WindowsServiceName As String = "MyFileSystemWatcher"

        ''' <summary>
        ''' Defines the description of the Windows Service
        ''' </summary>
        Private Const WindowsServiceDescription As String = "Service to monitor changes in the filesystem and trigger events as response"

        Private serviceProcessInstaller As ServiceProcessInstaller
        Private serviceInstaller As ServiceInstaller
#End Region

#Region "Constructors"
        Public Sub New()
            serviceProcessInstaller = New ServiceProcessInstaller
            serviceInstaller = New ServiceInstaller
            ' Here you can set properties on serviceProcessInstaller
            'or register event handlers            
            serviceProcessInstaller.Account = ServiceAccount.LocalService
            serviceInstaller.ServiceName = WindowsServiceName
            serviceInstaller.Description = WindowsServiceDescription
            Me.Installers.AddRange(New Installer() {serviceProcessInstaller, serviceInstaller})
        End Sub
#End Region

    End Class
End Namespace
